// Copyright 2024 WIT.COM Inc Licensed GPL 3.0

package virtigolib

import (
	"go.wit.com/log"
	"libvirt.org/go/libvirtxml"
)

// import a libvirt xml domain
/*
func badImportXML(domcfg *libvirtxml.Domain) (*pb.Droplet, []*pb.Event, error) {
	var alle []*pb.Event
	var d *pb.Droplet
	if domcfg == nil {
		return nil, alle, errors.New("domcfg == nil")
	}

	d, err = c.InitDroplet(domcfg.Name)
	if err != nil {
		// use merge instead
		os.Exit(-1)
	}
	d.Uuid = domcfg.UUID

	alle, err := MergelibvirtDomain(d, domcfg)
	if err != nil {
		log.Info("updateDroplet() failed for", d.Hostname)
		return d, alle, errors.New("update failed for " + domcfg.Name)
	}
	log.Info("added new droplet", domcfg.Name, domcfg.UUID)
	s, err := DumpNonStandardXML(domcfg)
	if err != nil {
		reason := s + "\n"
		reason = fmt.Sprintln("DumpNonStandardXML() on", domcfg.Name, "failed for", err)
		log.Info(reason)
		return d, alle, errors.New(reason)
	}
	return d, alle, nil
}
*/

func MergeXml(d *libvirtxml.Domain, xml string) error {
	err := d.Unmarshal(xml)
	if err != nil {
		log.Info("Marshal failed on file", xml)
	}
	return err
}
